/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SERVTIPOCARD                                             */
/* Tabela : SERVTIPOCARD                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 23/02/2005 - Henrique Dias Borges                                          */
/*                                                                            */
/******************************************************************************/
IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_SERVTIPOCARD' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_SERVTIPOCARD
GO

CREATE TRIGGER DTULTATU_SERVTIPOCARD
ON SERVTIPOCARD
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'SERVTIPOCARD', NULL, 'CDFILCENTPME='+ CDFILCENTPME+';'+'CDTIPOCARD='+ CDTIPOCARD+';'+'CDSERVFILI='+ CDSERVFILI+';',GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE SERVTIPOCARD
      SET DTULTATUSVTC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(SERVTIPOCARD.CDFILCENTPME,0) = ISNULL(INSERTED.CDFILCENTPME,0)) AND
            (ISNULL(SERVTIPOCARD.CDTIPOCARD,0) = ISNULL(INSERTED.CDTIPOCARD,0)) AND
            (ISNULL(SERVTIPOCARD.CDSERVFILI,0) = ISNULL(INSERTED.CDSERVFILI,0))   ;
   END;
END;
GO
